import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { INSiriAuthorizationStatus } from "./INSiriAuthorizationStatus.js";
export declare class _INPreferences extends _NSObject {
    static alloc(): _INPreferences;
    static new(): _INPreferences;
    init(): _INPreferences;
    static siriAuthorizationStatus(): INSiriAuthorizationStatus;
    static requestSiriAuthorization$(handler: (status: INSiriAuthorizationStatus) => void): void;
    static siriLanguageCode(): _NSString;
}
